package subject

import "fmt"

func getSupplierValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.Supplier, val)
}

var Supplier = struct {
	GetListSupplierInfo             string
	GetSupplierContractBySupplierID string
	FindAll                         string
	GetListWarehouseFreeShip        string
	CreateCashflow                  string
	GetFreeShipInfo                 string
}{
	GetListSupplierInfo:             getSupplierValue("get_list_supplier_info"),
	GetSupplierContractBySupplierID: getSupplierValue("get_supplier_contract_by_supplier_id"),
	FindAll:                         getSupplierValue("find_all"),
	GetListWarehouseFreeShip:        getSupplierValue("get_list_warehouse_free_ship"),
	CreateCashflow:                  getSupplierValue("create_cashflow"),
	GetFreeShipInfo:                 getSupplierValue("get_free_ship_info"),
}
